Subject: Re: [PATCH] alternative^2 to sys_indirect: socket, socketpair

From: Ulrich Drepper <[email-masked]>
Date: Thu, 24 Apr 2008 09:37:47 -0700

Alan Cox wrote:

>> -int sock_map_fd(struct socket *sock)
>> +static int sock_map_fd_flags(struct socket *sock, int flags)

sock_map_fd is exported to modules.  Isn't it a big no-no to change
those interfaces?

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖